import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:fx_calendar/fx_calendar.dart';
import 'package:fx_calendar/fx_calendar_manager.dart';

void main() {
  // test('adds one to input values', () {
    
  // });
  runApp(FxCalendarApp());
}

class FxCalendarApp extends StatelessWidget {
  const FxCalendarApp({Key key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'FxCalendar Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: Scaffold(
        appBar: AppBar(
          title: Text(
            '日历'
          ),
        ),
        body: FxCalendar.style1(
          dateTime: DateTime.now(),
          isScrollPage: true,
          calendarItemModel: FxItemModel(
            isShowLastNextMonth: false, 
            isShowHoliday: true, 
            isShowLunarCalendar: true,
            isShowSolarCalendar: true
          ),
        ),
      ),
    );
  }
}
